ssim.cc File Reference
`#include <vector>`
`#include <siena/ssim.h>`
`#include <heap.h>`
`#include <R.h>`
Include dependency graph for ssim.cc:

Go to the source code of this file.

## Classes

struct | ssim::Action
struct | ssim::PDescr
class | ssim::SimImpl

## Namespaces

| ssim
| name space for the Siena simulator.

## Enumerations

enum | ssim::ActionType { ssim::A_Event, ssim::A_Init, ssim::A_Stop, ssim::A_Ignore, ssim::A_Event, ssim::A_Init, ssim::A_Stop, ssim::A_Ignore }

## Functions

void | ssim::Rprint_actions ()

## Variables

static Time | ssim::stop_time = INIT_TIME
static Time | ssim::current_time = INIT_TIME
static ProcessId | ssim::current_process = NULL_PROCESSID
static bool | ssim::running = false
static SimErrorHandler * | ssim::error_handler = 0
static a_table_t | ssim::actions
static PsTable | ssim::processes